Ubuntu14.04 更新源错误

蜡笔小小小新 发布于 2016/04/24 09:45
阅读 2K+
收藏 0

Ubuntu14.04 更新源出现错误:

/etc/apt/sources.list文件内容:

deb http://mirrors.163.com/ubuntu/ lucid main universe restricted multiverse
deb-src http://mirrors.163.com/ubuntu/ lucid main universe restricted multiverse
deb http://mirrors.163.com/ubuntu/ lucid-security universe main multiverse restricted
deb-src http://mirrors.163.com/ubuntu/ lucid-security universe main multiverse restricted
deb http://mirrors.163.com/ubuntu/ lucid-updates universe main multiverse restricted
# deb http://mirrors.163.com/ubuntu/ lucid-proposed universe main multiverse restricted
# deb-src http://mirrors.163.com/ubuntu/ lucid-proposed universe main multiverse restricted
# deb http://mirrors.163.com/ubuntu/ lucid-backports universe main multiverse restricted
# deb-src http://mirrors.163.com/ubuntu/ lucid-backports universe main multiverse restricted
deb-src http://mirrors.163.com/ubuntu/ lucid-updates universe main multiverse restricted
deb http://cn.archive.ubuntu.com/ubuntu/ trusty main universe restricted multiverse
deb-src http://cn.archive.ubuntu.com/ubuntu/ trusty main universe restricted multiverse #Added by software-properties

当我运行 sudo apt-get update 命令时出现错误如下:

错误 http://ppa.launchpad.net trusty InRelease
 
错误 http://ppa.launchpad.net trusty Release.gpg
  无法解析域名“yourproxyaddress”
错误 http://mirrors.163.com trusty-security InRelease
 
错误 http://mirrors.163.com trusty-updates InRelease
 
错误 http://mirrors.163.com trusty-proposed InRelease
 
错误 http://mirrors.163.com trusty-backports InRelease
 
错误 http://mirrors.163.com trusty InRelease
 
错误 http://mirrors.163.com trusty-security Release.gpg
  无法解析域名“yourproxyaddress”
错误 http://mirrors.163.com trusty-updates Release.gpg
  无法解析域名“yourproxyaddress”
错误 http://mirrors.163.com trusty-proposed Release.gpg
  无法解析域名“yourproxyaddress”
错误 http://mirrors.163.com trusty-backports Release.gpg
  无法解析域名“yourproxyaddress”
错误 http://mirrors.163.com trusty Release.gpg
  无法解析域名“yourproxyaddress”
正在读取软件包列表... 完成
W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-security/InRelease  

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-updates/InRelease  

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-proposed/InRelease  

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-backports/InRelease  

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty/InRelease  

W: 无法下载 http://ppa.launchpad.net/videolan/master-daily/ubuntu/dists/trusty/InRelease  

W: 无法下载 http://ppa.launchpad.net/videolan/master-daily/ubuntu/dists/trusty/Release.gpg  无法解析域名“yourproxyaddress”

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-security/Release.gpg  无法解析域名“yourproxyaddress”

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-updates/Release.gpg  无法解析域名“yourproxyaddress”

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-proposed/Release.gpg  无法解析域名“yourproxyaddress”

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty-backports/Release.gpg  无法解析域名“yourproxyaddress”

W: 无法下载 http://mirrors.163.com/ubuntu/dists/trusty/Release.gpg  无法解析域名“yourproxyaddress”

W: Some index files failed to download. They have been ignored, or old ones used instead.

请问应该怎么解决??谢谢。

加载中
0
Feng_Yu
Feng_Yu
这个yourproxyserver是你在哪配置的玩意?
Feng_Yu
Feng_Yu
你肯定配过apt代理了吧?
蜡笔小小小新
蜡笔小小小新
我不知道啊,我只是更新了sources.list,没做其他事
0
eechen
eechen
lucid 是 Ubuntu 10.04 的代号,你 14.04 上的 sources.list 有这个显然是不对的.
gksu software-properties-gtk 打开图形化软件源编辑器换成 mirros.aliyun.com 吧.
或者手动编辑/etc/apt/sources.list:
deb http://mirrors.aliyun.com/ubuntu/ trusty main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-security main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-updates main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-proposed main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ trusty-backports main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-security main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-updates main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-proposed main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ trusty-backports main restricted universe multiverse
蜡笔小小小新
蜡笔小小小新
好像还是一样的错误啊,感觉不是源的原因啊
蜡笔小小小新
蜡笔小小小新
我等下试试,谢谢你!
0
阿信sxq
阿信sxq
用阿里云的吧,不过归根结底还是用fedora吧
阿信sxq
阿信sxq
回复 @蜡笔_小新 : 换系统吧,fedora,红帽系的,使用巴适惨了
蜡笔小小小新
蜡笔小小小新
都用过了,还是一样的错误,感觉不是源的问题。。。
返回顶部
顶部